Bug 190557 - RFE: Bugfix release available 3.1.1
RFE: Bugfix release available 3.1.1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-03 11:27 EDT by Jonathan Underwood
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 03:17:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2006-05-03 11:27:29 EDT
Description of problem:
Please could you push an updated valgrind package for FC5 - version 3.1.1 was
released 15th March 2006, and is a bugfix release.

Version-Release number of selected component (if applicable):
 1:3.1.0-2

How reproducible:
Every time

Steps to Reproduce:
1.Install valgrind
2.
3.
  
Actual results:
3.1.0

Expected results:
3.1.1 :)

Additional info:
Release notes:
http://valgrind.org/docs/manual/dist.news.html
Comment 1 Jakub Jelinek 2006-05-09 04:29:18 EDT
Have you tested the rpms provided in rawhide?
Comment 2 Ben Liblit 2006-06-01 01:21:14 EDT
I just tried the rawhide valgrind-3.1.1-3 RPM.  It seems to work fine, though
I've really done little more than a quick sanity check.

The newer rpm also fixes a bug that I was otherwise planning to report.  I came
across this while working on my own custom valgrind instrumentation tool (still
in development):

In theory, valgrind can use debug info to find the source file and line number
for any given instruction.  However, no source information is available when
using the standard FC5 valgrind-3.1.0-2 RPM.  If I switch to the rawhide
valgrind-3.1.1-3 RPM, then the expected source information does appear.

So I Jonathan Underwood's recommendation that this be rolled out as a Fedora
Core 5 update.
Comment 3 Jonathan Underwood 2006-06-01 07:38:44 EDT
I've been using the rawhide rpm for the past week or so, and have seen no
regressions so far.
Comment 4 Jonathan Underwood 2006-08-07 14:30:49 EDT
Version 3.2 is now out - would be nice to get an upgrade for FC-5 to that. Will
try the devel rpms tonight.
Comment 5 Jakub Jelinek 2007-07-03 03:17:56 EDT
FC5 is no longer supported and newer valgrind is shipped in FC6 and F7.

Note You need to log in before you can comment on or make changes to this bug.